
#include <kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>

#include "editorwindow.h"

int main(int argc, char **argv)
{
	KAboutData aboutdata(
		"simplekeditor",
		"Simple KDE Editor",
		"1.0",
		"Wrox Demo Application; Text Editor",
		KAboutData::License_GPL,
		"(c) 2000, Wrox Press",
		"http://www.wrox.com",
		"The KDE example application conceived in\n"
		"'Professional Linux Programming'\n"
		"Wrox Press 2000",
		"none");
	aboutdata.addAuthor("Marius Sundbakken");

	KCmdLineArgs::init(argc, argv, &aboutdata);
	
	KApplication app;
	EditorWindow w;
	w.show();
	return app.exec();
}
